$(document).ready(function() {

	var setLevel2 = function(li){
		if ($(li).children("ul").length > 0) {
			var minimumWidth = $(li).width()-8;
			var childUl = $(li).children("ul").get(0);
			if ($(childUl).width() <= minimumWidth) {
				$(childUl).width(minimumWidth).css('paddingRight', '4px');
			} else {
				$(childUl).width('auto').css('paddingRight', '4px');
			}/*
			if ($.browser.msie) {
				var offsetLeft = $(li).offset().left + 1;
				$(childUl).css('left',offsetLeft+'px');
			}*/
		}
	}
	
	var setLevel3 = function(li){
		if ($(li).children("ul").length > 0) {
			var parentUl = $(li).parent("ul").get(0);
			var parentHeight = $(parentUl).height();
			var childUl = $(li).children("ul").get(0);
			var childHeight = $(childUl).height();
			var subPosition = $(parentUl).width()+4;
			$(childUl).css('left', subPosition);
			$(parentUl).css('paddingRight', ($(childUl).width()+16)+"px");
			if (parentHeight < childHeight){
				$(parentUl).height(childHeight);
			} else {
				$(childUl).height(parentHeight);
			}
		}
	}
	
	var resetLevel3 = function(li){
		if ($(li).children("ul").length > 0) {
			var parentUl = $(li).parent("ul").get(0);
			$(parentUl).height('auto');
			var parentParentLi = $($(li).parent("ul").get(0)).parent("li").get(0);
			setLevel2(parentParentLi);
		}
	}

	$("#topNav>ul>li").hover(
		function(e){ setLevel2(this); },
		function(e){ }
	);

	$("#topNav>ul>li>ul>li").hover(
		function(e){ setLevel3(this); },
		function(e){ resetLevel3(this); }
	);

	if ($.browser.msie) {
		var ieVersion = parseInt($.browser.version);
		if (ieVersion > 6 && ieVersion < 9) {
			$("#topNav>ul>li").corner('top keep');
		}
	}
	
	jQuery("a > img").parent().addClass("noBorder");
	
	var validator;
	validator = jQuery('.validatable').validate();
	
	$("#language select").change(function(){
		window.open($(this).val(),'_top');
	}).uniform();
	
	if (Dams.presentationMode) {
		jQuery('.uniforms').find('select, input, textarea').uniform();
	}
	
	if (Dams.presentationMode && jQuery.isFunction(jQuery.fn.media)) {
		jQuery("a.media[data-media]").media();
	}
	
	if (Dams.presentationMode && jQuery.isFunction(jQuery.fn.cycle)) {
		$('.cycle').each(function() {
			$('ul', this).cycle({
				fx: 'fade',
				speed: 500,
				cleartype: true,
				pause: true,
				timeout: 5000,
				containerResize: 1
			});
		});

		if (jQuery.isFunction(jQuery.fancybox) &&
			!(jQuery.browser.msie && parseFloat(jQuery.browser.version) < 7.0) &&
			parseFloat(jQuery.fn.jquery) >= 1.3 &&
			Dams.presentationMode
		) {
		
			// All a's that contains img
			//jQuery("a:has(img)").fancybox();

			// All a's that lead to an image
			/*jQuery("a[href$='.jpg'], a[href$='.png']").fancybox({
				'transitionIn': 'elastic',
				'transitionOut': 'elastic',
				'overlayOpacity': .6
			}).each(function() {console.log('lightboxed: ' + this.src)});
			*/
			
			// All a's that lead to a PDF
			jQuery("#content a[href$='.pdf']")
				.filter(function(){
					var pattern=/(show_|download_)/i;
					var currentHost = window.location.protocol + '//' + window.location.host + '/';
					return ( (this.href.split('/').pop().match(pattern) == null) && (this.href.indexOf(currentHost) == 0) );
				})
				.click(function(event) {
					event.preventDefault();
					var title = '<span id="fancybox-title-wrap"> \
									<span id="fancybox-title-left"/> \
									<span id="fancybox-title-main"><a href="' 
									+ this.href + 
									'">go to the PDF...</a> \
									</span><span id="fancybox-title-right"/></span>';
					var parts = this.href.split('/');
					parts[parts.length -1] = 'show_' + parts[parts.length - 1];
					var href = parts.join('/');
					jQuery.fancybox({
						'href': href,
						'transitionIn': 'elastic',
						'transitionOut': 'none',
						'overlayOpacity': .6,
						'width': 800,
						'height': 600,
						'type': 'iframe',
						'title': title,
						'onStart':	function() {
							this.height = jQuery(window).height() - 100;
						}
					});
				});
		}
	}
});